<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:04 CET 2009 -->
<TITLE>
NumberOperators
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.math.array.NumberOperators interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="NumberOperators";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/NumberOperators.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="interface in ch.javasoft.math.array"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/math/array/NumberOperators.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NumberOperators.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.math.array</FONT>
<BR>
Interface NumberOperators&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,A&gt;</H2>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../ch/javasoft/math/operator/impl/BigFractionOperators.html" title="class in ch.javasoft.math.operator.impl">BigFractionOperators</A>, <A HREF="../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html" title="class in ch.javasoft.math.operator.impl">BigIntegerOperators</A>, <A HREF="../../../../ch/javasoft/math/operator/impl/DoubleOperators.html" title="class in ch.javasoft.math.operator.impl">DoubleOperators</A>, <A HREF="../../../../ch/javasoft/math/varint/array/VarIntOperators.html" title="class in ch.javasoft.math.varint.array">VarIntOperators</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public interface <A HREF="../../../../src-html/ch/javasoft/math/array/NumberOperators.html#line.59"><B>NumberOperators&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,A&gt;</B></A></DL>
</PRE>

<P>
The <code>NumberOperators</code> defines standard operators for different
 number types. An instance of this class defines the (boxed) number type and 
 the array type, such as <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang"><CODE>Double</CODE></A> and <code>double[]</code>.
<P>

<P>
<HR>

<P>

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="interface in ch.javasoft.math.operator">AggregatingBinaryOperator</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/array/NumberOperators.html#aggregatingBinary(ch.javasoft.math.operator.AggregatingBinaryOperator.Id)">aggregatingBinary</A></B>(<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator">AggregatingBinaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the aggregating binary operator identified by operator id, 
 matching number and array type defined by this <code>NumberOperators</code> 
 instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.html" title="interface in ch.javasoft.math.operator">AggregatingUnaryOperator</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/array/NumberOperators.html#aggregatingUnary(ch.javasoft.math.operator.AggregatingUnaryOperator.Id)">aggregatingUnary</A></B>(<A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator">AggregatingUnaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the aggregating unary operator identified by operator id, 
 matching number and array type defined by this <code>NumberOperators</code> 
 instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/array/NumberOperators.html#arrayClass()">arrayClass</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number type class of an array of values</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/array/NumberOperators.html#binary(ch.javasoft.math.operator.BinaryOperator.Id)">binary</A></B>(<A HREF="../../../../ch/javasoft/math/operator/BinaryOperator.Id.html" title="enum in ch.javasoft.math.operator">BinaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the binary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanBinaryOperator</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/array/NumberOperators.html#booleanBinary(ch.javasoft.math.operator.BooleanBinaryOperator.Id)">booleanBinary</A></B>(<A HREF="../../../../ch/javasoft/math/operator/BooleanBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator">BooleanBinaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the boolean-binary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/array/NumberOperators.html#booleanUnary(ch.javasoft.math.operator.BooleanUnaryOperator.Id)">booleanUnary</A></B>(<A HREF="../../../../ch/javasoft/math/operator/BooleanUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator">BooleanUnaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the boolean-unary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator">NullaryOperator</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/array/NumberOperators.html#constant(N)">constant</A></B>(<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a const operator for the specified constant <code>value</code>, 
 matching number and array type defined by this <code>NumberOperators</code> 
 instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/operator/ConvertingUnaryOperator.html" title="interface in ch.javasoft.math.operator">ConvertingUnaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>[],<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/array/NumberOperators.html#converter()">converter</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a converting unary operator which is able to convert any
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang"><CODE>Number</CODE></A> instance to a specific number instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/array/NumberOperators.html#getArrayOperations()">getArrayOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the array operations instance based on <code>this</code> operators 
 instance</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/operator/DivisionSupport.html" title="interface in ch.javasoft.math.operator">DivisionSupport</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/array/NumberOperators.html#getDivisionSupport()">getDivisionSupport</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the kind of <A HREF="../../../../ch/javasoft/math/operator/DivisionSupport.html" title="interface in ch.javasoft.math.operator"><CODE>DivisionSupport</CODE></A> for this operators instance</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/array/NumberOperators.html#getLinAlgOperations()">getLinAlgOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the linear algebra operations instance based on <code>this</code>
 operators instance</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/array/NumberOperators.html#getLinAlgOperations(ch.javasoft.math.linalg.GaussPivotingFactory)">getLinAlgOperations</A></B>(<A HREF="../../../../ch/javasoft/math/linalg/GaussPivotingFactory.html" title="interface in ch.javasoft.math.linalg">GaussPivotingFactory</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt;&nbsp;gaussPivotingFactory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the linear algebra operations instance based on <code>this</code>
 operators instance with Gauss pivoting created the given factory</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="interface in ch.javasoft.math.array">NumberArrayOperations</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/array/NumberOperators.html#getNumberArrayOperations()">getNumberArrayOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number array operations instance based on <code>this</code> 
 operators instance</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/operator/IntBinaryOperator.html" title="interface in ch.javasoft.math.operator">IntBinaryOperator</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/array/NumberOperators.html#intBinary(ch.javasoft.math.operator.IntBinaryOperator.Id)">intBinary</A></B>(<A HREF="../../../../ch/javasoft/math/operator/IntBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator">IntBinaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the int-binary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/operator/IntUnaryOperator.html" title="interface in ch.javasoft.math.operator">IntUnaryOperator</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/array/NumberOperators.html#intUnary(ch.javasoft.math.operator.IntUnaryOperator.Id)">intUnary</A></B>(<A HREF="../../../../ch/javasoft/math/operator/IntUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator">IntUnaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the int-unary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator">NullaryOperator</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/array/NumberOperators.html#nullary(ch.javasoft.math.operator.NullaryOperator.Id)">nullary</A></B>(<A HREF="../../../../ch/javasoft/math/operator/NullaryOperator.Id.html" title="enum in ch.javasoft.math.operator">NullaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the nullary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/array/NumberOperators.html#numberClass()">numberClass</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number type class for a single value</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/array/NumberOperators.html#one()">one</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number value representing one</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator">UnaryOperator</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/array/NumberOperators.html#unary(ch.javasoft.math.operator.UnaryOperator.Id)">unary</A></B>(<A HREF="../../../../ch/javasoft/math/operator/UnaryOperator.Id.html" title="enum in ch.javasoft.math.operator">UnaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the unary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/array/NumberOperators.html#zero()">zero</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number value representing zero</TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="numberClass()"><!-- --></A><H3>
numberClass</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/math/array/NumberOperators.html#line.63"><B>numberClass</B></A>()</PRE>
<DL>
<DD>Returns the number type class for a single value
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="arrayClass()"><!-- --></A><H3>
arrayClass</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt; <A HREF="../../../../src-html/ch/javasoft/math/array/NumberOperators.html#line.68"><B>arrayClass</B></A>()</PRE>
<DL>
<DD>Returns the number type class of an array of values
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getDivisionSupport()"><!-- --></A><H3>
getDivisionSupport</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/operator/DivisionSupport.html" title="interface in ch.javasoft.math.operator">DivisionSupport</A> <A HREF="../../../../src-html/ch/javasoft/math/array/NumberOperators.html#line.73"><B>getDivisionSupport</B></A>()</PRE>
<DL>
<DD>Returns the kind of <A HREF="../../../../ch/javasoft/math/operator/DivisionSupport.html" title="interface in ch.javasoft.math.operator"><CODE>DivisionSupport</CODE></A> for this operators instance
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getArrayOperations()"><!-- --></A><H3>
getArrayOperations</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt; <A HREF="../../../../src-html/ch/javasoft/math/array/NumberOperators.html#line.79"><B>getArrayOperations</B></A>()</PRE>
<DL>
<DD>Returns the array operations instance based on <code>this</code> operators 
 instance
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getNumberArrayOperations()"><!-- --></A><H3>
getNumberArrayOperations</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="interface in ch.javasoft.math.array">NumberArrayOperations</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt; <A HREF="../../../../src-html/ch/javasoft/math/array/NumberOperators.html#line.84"><B>getNumberArrayOperations</B></A>()</PRE>
<DL>
<DD>Returns the number array operations instance based on <code>this</code> 
 operators instance
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getLinAlgOperations()"><!-- --></A><H3>
getLinAlgOperations</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt; <A HREF="../../../../src-html/ch/javasoft/math/array/NumberOperators.html#line.89"><B>getLinAlgOperations</B></A>()</PRE>
<DL>
<DD>Returns the linear algebra operations instance based on <code>this</code>
 operators instance
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getLinAlgOperations(ch.javasoft.math.linalg.GaussPivotingFactory)"><!-- --></A><H3>
getLinAlgOperations</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt; <A HREF="../../../../src-html/ch/javasoft/math/array/NumberOperators.html#line.94"><B>getLinAlgOperations</B></A>(<A HREF="../../../../ch/javasoft/math/linalg/GaussPivotingFactory.html" title="interface in ch.javasoft.math.linalg">GaussPivotingFactory</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt;&nbsp;gaussPivotingFactory)</PRE>
<DL>
<DD>Returns the linear algebra operations instance based on <code>this</code>
 operators instance with Gauss pivoting created the given factory
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="zero()"><!-- --></A><H3>
zero</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A> <A HREF="../../../../src-html/ch/javasoft/math/array/NumberOperators.html#line.100"><B>zero</B></A>()</PRE>
<DL>
<DD>Returns the number value representing zero
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="one()"><!-- --></A><H3>
one</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A> <A HREF="../../../../src-html/ch/javasoft/math/array/NumberOperators.html#line.105"><B>one</B></A>()</PRE>
<DL>
<DD>Returns the number value representing one
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="constant(java.lang.Number)"><!-- --></A><A NAME="constant(N)"><!-- --></A><H3>
constant</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator">NullaryOperator</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt; <A HREF="../../../../src-html/ch/javasoft/math/array/NumberOperators.html#line.115"><B>constant</B></A>(<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>&nbsp;value)</PRE>
<DL>
<DD>Returns a const operator for the specified constant <code>value</code>, 
 matching number and array type defined by this <code>NumberOperators</code> 
 instance.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the constant value returned by the constant operator
<DT><B>Returns:</B><DD>the operator implementation for the current number/array type</DL>
</DD>
</DL>
<HR>

<A NAME="converter()"><!-- --></A><H3>
converter</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/operator/ConvertingUnaryOperator.html" title="interface in ch.javasoft.math.operator">ConvertingUnaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>[],<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt; <A HREF="../../../../src-html/ch/javasoft/math/array/NumberOperators.html#line.123"><B>converter</B></A>()</PRE>
<DL>
<DD>Returns a converting unary operator which is able to convert any
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang"><CODE>Number</CODE></A> instance to a specific number instance.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>the unary converter</DL>
</DD>
</DL>
<HR>

<A NAME="nullary(ch.javasoft.math.operator.NullaryOperator.Id)"><!-- --></A><H3>
nullary</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator">NullaryOperator</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt; <A HREF="../../../../src-html/ch/javasoft/math/array/NumberOperators.html#line.132"><B>nullary</B></A>(<A HREF="../../../../ch/javasoft/math/operator/NullaryOperator.Id.html" title="enum in ch.javasoft.math.operator">NullaryOperator.Id</A>&nbsp;id)</PRE>
<DL>
<DD>Returns the nullary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>id</CODE> - the identifier for the desired operator
<DT><B>Returns:</B><DD>the operator implementation for the current number/array type</DL>
</DD>
</DL>
<HR>

<A NAME="unary(ch.javasoft.math.operator.UnaryOperator.Id)"><!-- --></A><H3>
unary</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator">UnaryOperator</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt; <A HREF="../../../../src-html/ch/javasoft/math/array/NumberOperators.html#line.141"><B>unary</B></A>(<A HREF="../../../../ch/javasoft/math/operator/UnaryOperator.Id.html" title="enum in ch.javasoft.math.operator">UnaryOperator.Id</A>&nbsp;id)</PRE>
<DL>
<DD>Returns the unary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>id</CODE> - the identifier for the desired operator
<DT><B>Returns:</B><DD>the operator implementation for the current number/array type</DL>
</DD>
</DL>
<HR>

<A NAME="intUnary(ch.javasoft.math.operator.IntUnaryOperator.Id)"><!-- --></A><H3>
intUnary</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/operator/IntUnaryOperator.html" title="interface in ch.javasoft.math.operator">IntUnaryOperator</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt; <A HREF="../../../../src-html/ch/javasoft/math/array/NumberOperators.html#line.149"><B>intUnary</B></A>(<A HREF="../../../../ch/javasoft/math/operator/IntUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator">IntUnaryOperator.Id</A>&nbsp;id)</PRE>
<DL>
<DD>Returns the int-unary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>id</CODE> - the identifier for the desired operator
<DT><B>Returns:</B><DD>the operator implementation for the current number/array type</DL>
</DD>
</DL>
<HR>

<A NAME="booleanUnary(ch.javasoft.math.operator.BooleanUnaryOperator.Id)"><!-- --></A><H3>
booleanUnary</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt; <A HREF="../../../../src-html/ch/javasoft/math/array/NumberOperators.html#line.157"><B>booleanUnary</B></A>(<A HREF="../../../../ch/javasoft/math/operator/BooleanUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator">BooleanUnaryOperator.Id</A>&nbsp;id)</PRE>
<DL>
<DD>Returns the boolean-unary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>id</CODE> - the identifier for the desired operator
<DT><B>Returns:</B><DD>the operator implementation for the current number/array type</DL>
</DD>
</DL>
<HR>

<A NAME="binary(ch.javasoft.math.operator.BinaryOperator.Id)"><!-- --></A><H3>
binary</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt; <A HREF="../../../../src-html/ch/javasoft/math/array/NumberOperators.html#line.166"><B>binary</B></A>(<A HREF="../../../../ch/javasoft/math/operator/BinaryOperator.Id.html" title="enum in ch.javasoft.math.operator">BinaryOperator.Id</A>&nbsp;id)</PRE>
<DL>
<DD>Returns the binary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>id</CODE> - the identifier for the desired operator
<DT><B>Returns:</B><DD>the operator implementation for the current number/array type</DL>
</DD>
</DL>
<HR>

<A NAME="intBinary(ch.javasoft.math.operator.IntBinaryOperator.Id)"><!-- --></A><H3>
intBinary</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/operator/IntBinaryOperator.html" title="interface in ch.javasoft.math.operator">IntBinaryOperator</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt; <A HREF="../../../../src-html/ch/javasoft/math/array/NumberOperators.html#line.174"><B>intBinary</B></A>(<A HREF="../../../../ch/javasoft/math/operator/IntBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator">IntBinaryOperator.Id</A>&nbsp;id)</PRE>
<DL>
<DD>Returns the int-binary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>id</CODE> - the identifier for the desired operator
<DT><B>Returns:</B><DD>the operator implementation for the current number/array type</DL>
</DD>
</DL>
<HR>

<A NAME="booleanBinary(ch.javasoft.math.operator.BooleanBinaryOperator.Id)"><!-- --></A><H3>
booleanBinary</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanBinaryOperator</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt; <A HREF="../../../../src-html/ch/javasoft/math/array/NumberOperators.html#line.182"><B>booleanBinary</B></A>(<A HREF="../../../../ch/javasoft/math/operator/BooleanBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator">BooleanBinaryOperator.Id</A>&nbsp;id)</PRE>
<DL>
<DD>Returns the boolean-binary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>id</CODE> - the identifier for the desired operator
<DT><B>Returns:</B><DD>the operator implementation for the current number/array type</DL>
</DD>
</DL>
<HR>

<A NAME="aggregatingUnary(ch.javasoft.math.operator.AggregatingUnaryOperator.Id)"><!-- --></A><H3>
aggregatingUnary</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.html" title="interface in ch.javasoft.math.operator">AggregatingUnaryOperator</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt; <A HREF="../../../../src-html/ch/javasoft/math/array/NumberOperators.html#line.191"><B>aggregatingUnary</B></A>(<A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator">AggregatingUnaryOperator.Id</A>&nbsp;id)</PRE>
<DL>
<DD>Returns the aggregating unary operator identified by operator id, 
 matching number and array type defined by this <code>NumberOperators</code> 
 instance.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>id</CODE> - the identifier for the desired operator
<DT><B>Returns:</B><DD>the operator implementation for the current number/array type</DL>
</DD>
</DL>
<HR>

<A NAME="aggregatingBinary(ch.javasoft.math.operator.AggregatingBinaryOperator.Id)"><!-- --></A><H3>
aggregatingBinary</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="interface in ch.javasoft.math.operator">AggregatingBinaryOperator</A>&lt;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt; <A HREF="../../../../src-html/ch/javasoft/math/array/NumberOperators.html#line.200"><B>aggregatingBinary</B></A>(<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator">AggregatingBinaryOperator.Id</A>&nbsp;id)</PRE>
<DL>
<DD>Returns the aggregating binary operator identified by operator id, 
 matching number and array type defined by this <code>NumberOperators</code> 
 instance.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>id</CODE> - the identifier for the desired operator
<DT><B>Returns:</B><DD>the operator implementation for the current number/array type</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/NumberOperators.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="interface in ch.javasoft.math.array"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/math/array/NumberOperators.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NumberOperators.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
